Bug 810566 - invalid cglib groupId in mockito core pom
invalid cglib groupId in mockito core pom
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mockito (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Roman Kennke
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-06 14:08 EDT by gil cattaneo
Modified: 2013-04-21 12:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-21 12:45:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-04-06 14:08:08 EDT
Description of problem:

invalid cglib groupId in mockito core pom
Version-Release number of selected component (if applicable):
mockito-1.9.0-3

How reproducible:
actual cglib depmap
<dependency>
    <maven>
        <groupId>net.sf.cglib</groupId>
        <artifactId>cglib</artifactId>
        <version>2.2</version>
    </maven>
    <jpp>
        <groupId>JPP</groupId>
        <artifactId>cglib</artifactId>
        <version>2.2</version>
    </jpp>
</dependency>

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
please change <groupId>cglib</groupId> in <groupId>net.sf.cglib</groupId>
in mockito-1.9.0/maven/mockito-core.pom

now the pom is 

<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd ">
    <modelVersion>4.0.0</modelVersion>
    <groupId>org.mockito</groupId>
    <artifactId>mockito-core</artifactId>
    <version>@version@</version>
    <name>Mockito</name>
    <url>http://www.mockito.org</url>
    <description>Mock objects library for java</description>
    <licenses>
        <license>
            <name>The MIT License</name>
            <url>http://code.google.com/p/mockito/wiki/License</url>
            <distribution>repo</distribution>
        </license>
    </licenses>
    <scm>
        <url>http://code.google.com/p/mockito/source/browse/</url>
    </scm>
    <dependencies>
        <dependency>
            <groupId>org.hamcrest</groupId>
            <artifactId>hamcrest-core</artifactId>
            <version>1.1</version>
        </dependency>
        <dependency>
            <groupId>org.objenesis</groupId>
            <artifactId>objenesis</artifactId>
            <version>1.0</version>        
        </dependency>
        <dependency>
            <groupId>cglib</groupId>
            <artifactId>cglib</artifactId>
            <version>2.2</version>        
        </dependency>
    </dependencies>
    
</project>

Additional info:
Comment 1 Fedora End Of Life 2013-04-03 13:23:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Note You need to log in before you can comment on or make changes to this bug.